# Offline calibration overview

TODO: HERE I PLAN TO GIVE DIAGRAMS OVER THE OFFLINE CALIBRATION SERVICES AND PIECES


> European XFEL aims to provide facility users with a fully corrected and calibrated dataset as the primary data product. - SRN 27.4, 35 (2014)

![image](./static/xfel_calibrate_diagrams/overview_all_services.png)

Offline calibration consists of multiple algorithms and processes to achieve this role. These steps can differ across detectors. Offline calibration process big amount of data, and it is essential to have the calibration pipeline compatible with RAW data format across time.

pyCalibration is the main pipeline package for offline calibration at European XFEL. It utilizes MAXWELL HPC to run Jupyter notebooks concurrently using SLURM nodes to process `RAW` data. Before correcting detector `RAW` data, and after the detector experts characterize the detector

The pieces we have are: 

- [Calibration Database](operation/calibration_database.md) The calibration database (CALCAT)
- [Metadata Catalog](operation/myMDC.md) myMDC for requesting run corrects and dark constants generation.
- [Calibration Notebooks](operation/available_notebooks.md) All available detector calibration notebooks
- [xfel-calibrate](development/configuration.md) The machinery for running calibration notebooks using SLURM
- [Calibration webservice](operation/webservice) The main entry for offline calibration pipeline in production



